Package org.oasis_open.docs.ws_calendar.ns.soap

# Class ComponentReferenceType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.ComponentReferenceType

public class ComponentReferenceType extends Object
Used to contain a new value.

Java class for ComponentReferenceType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ComponentReferenceType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}baseComponent"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected javax.xml.bind.JAXBElement<? extends BaseComponentType>`
  `baseComponent`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ComponentReferenceType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `javax.xml.bind.JAXBElement<? extends BaseComponentType>`
  `getBaseComponent()`
  Gets the value of the baseComponent property.
  `void`
  `setBaseComponent(javax.xml.bind.JAXBElement<? extends BaseComponentType> value)`
  Sets the value of the baseComponent property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### baseComponent

    protected javax.xml.bind.JAXBElement<? extends BaseComponentType> baseComponent

- ## Constructor Details

  - ### ComponentReferenceType

    public ComponentReferenceType()

- ## Method Details

  - ### getBaseComponent

    public javax.xml.bind.JAXBElement<? extends BaseComponentType> getBaseComponent()
    Gets the value of the baseComponent property.
    Returns:
      possible object is `JAXBElement``<``AvailableType``>` `JAXBElement``<``BaseComponentType``>` `JAXBElement``<``DaylightType``>` `JAXBElement``<``StandardType``>` `JAXBElement``<``ValarmType``>` `JAXBElement``<``VavailabilityType``>` `JAXBElement``<``VeventType``>` `JAXBElement``<``VfreebusyType``>` `JAXBElement``<``VjournalType``>` `JAXBElement``<``VpollType``>` `JAXBElement``<``VtimezoneType``>` `JAXBElement``<``VtodoType``>` `JAXBElement``<``WsCalendarGluonType``>` `JAXBElement``<``WsCalendarIntervalType``>`

  - ### setBaseComponent

    public void setBaseComponent(javax.xml.bind.JAXBElement<? extends BaseComponentType> value)
    Sets the value of the baseComponent property.
    Parameters:
      `value` - allowed object is `JAXBElement``<``AvailableType``>` `JAXBElement``<``BaseComponentType``>` `JAXBElement``<``DaylightType``>` `JAXBElement``<``StandardType``>` `JAXBElement``<``ValarmType``>` `JAXBElement``<``VavailabilityType``>` `JAXBElement``<``VeventType``>` `JAXBElement``<``VfreebusyType``>` `JAXBElement``<``VjournalType``>` `JAXBElement``<``VpollType``>` `JAXBElement``<``VtimezoneType``>` `JAXBElement``<``VtodoType``>` `JAXBElement``<``WsCalendarGluonType``>` `JAXBElement``<``WsCalendarIntervalType``>`